package com.four.system.domain;

import org.apache.poi.hpsf.Decimal;

/***
 * 医生详情表
 */
public class SysRegistrationInformation {
    /**
     * 医生注册信息id
     */
    private Long registrationInformationId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 所属医院
     */
    private String affiliatedHospital;
    /**
     * 医生科室id
     */
    private Long medicalDepartmentId;
    /**
     * 医生职称id
     */
    private Long professionalTitleDoctorId;
    /**
     * 个人简历
     */
    private String personalResume;
    /**
     * 擅长领域
     */
    private String areaExpertise;
    /**
     * 服务患者次数
     */
    private Integer numberPatientsServed;
    /**
     * 咨询价格
     */
    private Decimal consultingPrice;
    /**
     * 好评人数
     */
    private Integer praise;
    /**
     * 审核状态：1：待审核2：审核通过3：已驳回
     */
    private Integer registrationInformationExamineStatus;


    /*************************************用户表*********************************************/

    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 用户账号
     */
    private String userName;
    /**
     * 用户昵称
     */
    private String nickName;
    /**
     * 用户类型（00系统用户）
     */
    private String userType;
    /**
     * 用户邮箱
     */
    private String email;
    /**
     * 手机号码
     */
    private String phonenumber;
    /**
     * 用户性别（0男 1女 2未知）
     */
    private String sex;
    /**
     * 头像地址
     */
    private String avatar;
    /**
     * 密码
     */
    private String password;
    /**
     * 帐号状态（0正常 1停用）
     */
    private String status;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;
    /**
     * 最后登录IP
     */
    private String loginIp;
    /**
     * 创建者
     */
    private String createBy;
    /**
     * 备注
     */
    private String remark;
    /**
     * 更新者
     */
    private String updateBy;
    /**
     * 体征
     */
    private String userSign;
    /**
     * 绑定微信状态 1：未绑定 2：已绑定
     */
    private Integer bindWechatStatus;
    /**
     * 实名认证状态 1：未绑定 2：已绑定
     */
    private Integer realNameAuthenticationStatus;
    /**
     * 绑定银行卡状态 1：未绑定 2：已绑定
     */
    private Integer bindBankCardStatus;
    /**
     * 余额
     */
    private Decimal userMoney;
    /**
     * 邀请码
     */
    private String invitationCode;
    /**
     * 状态1：患者 2：医生
     */
    private Integer differentialState;


    public SysRegistrationInformation(Long registrationInformationId, Long userId, String affiliatedHospital, Long medicalDepartmentId, Long professionalTitleDoctorId, String personalResume, String areaExpertise, Integer numberPatientsServed, Decimal consultingPrice, Integer praise, Integer registrationInformationExamineStatus, Long deptId, String userName, String nickName, String userType, String email, String phonenumber, String sex, String avatar, String password, String status, String delFlag, String loginIp, String createBy, String remark, String updateBy, String userSign, Integer bindWechatStatus, Integer realNameAuthenticationStatus, Integer bindBankCardStatus, Decimal userMoney, String invitationCode, Integer differentialState) {
        this.registrationInformationId = registrationInformationId;
        this.userId = userId;
        this.affiliatedHospital = affiliatedHospital;
        this.medicalDepartmentId = medicalDepartmentId;
        this.professionalTitleDoctorId = professionalTitleDoctorId;
        this.personalResume = personalResume;
        this.areaExpertise = areaExpertise;
        this.numberPatientsServed = numberPatientsServed;
        this.consultingPrice = consultingPrice;
        this.praise = praise;
        this.registrationInformationExamineStatus = registrationInformationExamineStatus;
        this.deptId = deptId;
        this.userName = userName;
        this.nickName = nickName;
        this.userType = userType;
        this.email = email;
        this.phonenumber = phonenumber;
        this.sex = sex;
        this.avatar = avatar;
        this.password = password;
        this.status = status;
        this.delFlag = delFlag;
        this.loginIp = loginIp;
        this.createBy = createBy;
        this.remark = remark;
        this.updateBy = updateBy;
        this.userSign = userSign;
        this.bindWechatStatus = bindWechatStatus;
        this.realNameAuthenticationStatus = realNameAuthenticationStatus;
        this.bindBankCardStatus = bindBankCardStatus;
        this.userMoney = userMoney;
        this.invitationCode = invitationCode;
        this.differentialState = differentialState;
    }


    public Long getRegistrationInformationId() {
        return registrationInformationId;
    }

    public void setRegistrationInformationId(Long registrationInformationId) {
        this.registrationInformationId = registrationInformationId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getAffiliatedHospital() {
        return affiliatedHospital;
    }

    public void setAffiliatedHospital(String affiliatedHospital) {
        this.affiliatedHospital = affiliatedHospital;
    }

    public Long getMedicalDepartmentId() {
        return medicalDepartmentId;
    }

    public void setMedicalDepartmentId(Long medicalDepartmentId) {
        this.medicalDepartmentId = medicalDepartmentId;
    }

    public Long getProfessionalTitleDoctorId() {
        return professionalTitleDoctorId;
    }

    public void setProfessionalTitleDoctorId(Long professionalTitleDoctorId) {
        this.professionalTitleDoctorId = professionalTitleDoctorId;
    }

    public String getPersonalResume() {
        return personalResume;
    }

    public void setPersonalResume(String personalResume) {
        this.personalResume = personalResume;
    }

    public String getAreaExpertise() {
        return areaExpertise;
    }

    public void setAreaExpertise(String areaExpertise) {
        this.areaExpertise = areaExpertise;
    }

    public Integer getNumberPatientsServed() {
        return numberPatientsServed;
    }

    public void setNumberPatientsServed(Integer numberPatientsServed) {
        this.numberPatientsServed = numberPatientsServed;
    }

    public Decimal getConsultingPrice() {
        return consultingPrice;
    }

    public void setConsultingPrice(Decimal consultingPrice) {
        this.consultingPrice = consultingPrice;
    }

    public Integer getPraise() {
        return praise;
    }

    public void setPraise(Integer praise) {
        this.praise = praise;
    }

    public Integer getRegistrationInformationExamineStatus() {
        return registrationInformationExamineStatus;
    }

    public void setRegistrationInformationExamineStatus(Integer registrationInformationExamineStatus) {
        this.registrationInformationExamineStatus = registrationInformationExamineStatus;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getLoginIp() {
        return loginIp;
    }

    public void setLoginIp(String loginIp) {
        this.loginIp = loginIp;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUserSign() {
        return userSign;
    }

    public void setUserSign(String userSign) {
        this.userSign = userSign;
    }

    public Integer getBindWechatStatus() {
        return bindWechatStatus;
    }

    public void setBindWechatStatus(Integer bindWechatStatus) {
        this.bindWechatStatus = bindWechatStatus;
    }

    public Integer getRealNameAuthenticationStatus() {
        return realNameAuthenticationStatus;
    }

    public void setRealNameAuthenticationStatus(Integer realNameAuthenticationStatus) {
        this.realNameAuthenticationStatus = realNameAuthenticationStatus;
    }

    public Integer getBindBankCardStatus() {
        return bindBankCardStatus;
    }

    public void setBindBankCardStatus(Integer bindBankCardStatus) {
        this.bindBankCardStatus = bindBankCardStatus;
    }

    public Decimal getUserMoney() {
        return userMoney;
    }

    public void setUserMoney(Decimal userMoney) {
        this.userMoney = userMoney;
    }

    public String getInvitationCode() {
        return invitationCode;
    }

    public void setInvitationCode(String invitationCode) {
        this.invitationCode = invitationCode;
    }

    public Integer getDifferentialState() {
        return differentialState;
    }

    public void setDifferentialState(Integer differentialState) {
        this.differentialState = differentialState;
    }

    public SysRegistrationInformation() {
    }

    @Override
    public String toString() {
        return "registrationInformation{" +
                "registrationInformationId=" + registrationInformationId +
                ", userId=" + userId +
                ", affiliatedHospital='" + affiliatedHospital + '\'' +
                ", medicalDepartmentId=" + medicalDepartmentId +
                ", professionalTitleDoctorId=" + professionalTitleDoctorId +
                ", personalResume='" + personalResume + '\'' +
                ", areaExpertise='" + areaExpertise + '\'' +
                ", numberPatientsServed=" + numberPatientsServed +
                ", consultingPrice=" + consultingPrice +
                ", praise=" + praise +
                ", registrationInformationExamineStatus=" + registrationInformationExamineStatus +
                ", deptId=" + deptId +
                ", userName='" + userName + '\'' +
                ", nickName='" + nickName + '\'' +
                ", userType='" + userType + '\'' +
                ", email='" + email + '\'' +
                ", phonenumber='" + phonenumber + '\'' +
                ", sex='" + sex + '\'' +
                ", avatar='" + avatar + '\'' +
                ", password='" + password + '\'' +
                ", status='" + status + '\'' +
                ", delFlag='" + delFlag + '\'' +
                ", loginIp='" + loginIp + '\'' +
                ", createBy='" + createBy + '\'' +
                ", remark='" + remark + '\'' +
                ", updateBy='" + updateBy + '\'' +
                ", userSign='" + userSign + '\'' +
                ", bindWechatStatus=" + bindWechatStatus +
                ", realNameAuthenticationStatus=" + realNameAuthenticationStatus +
                ", bindBankCardStatus=" + bindBankCardStatus +
                ", userMoney=" + userMoney +
                ", invitationCode='" + invitationCode + '\'' +
                ", differentialState=" + differentialState +
                '}';
    }
}
